Introduction

TalkingShow™, an evolutionary type of Internet software for creating animated 3D characters, welcomes you, literally, to a new era in multimedia applications for the Internet. By utilizing facial animation and speech recognition from MPEG-4 technology, TalkingShow™ instantly transforms static and listless web presentations into interactive and engaging mediums that lock in visitors for hours on end.

With TalkingShow™, 2D images are a thing of the past. Choose any facial image, animated 3D character, or photographs from your own private collection, and you're ready to begin welcoming Web visitors by donning a newscaster's attire and broadcasting the latest news; dressing up as jolly old St. Nick to welcome shoppers and boost e-commerce sales; and transforming into a charming celebrity to entice fans or endorse products. Visitors will feel an uncanny sense of familiarity yet a new sensation of online intimacy and excitement never experienced before.

These endless possibilities are complemented by its amazing streaming format file size and ease of handling. TalkingShow™ uses client-generated still images as the source of all facial animation production and because it is locally synthesized, the image quality is better than normal streaming video clips when it is exported in streaming format. Thus, bandwidth requirements are drastically minimized to as low as 25% of the bandwidth for 56k modems.

Add to this other great show-stopping features such as your own TalkingShow™ Studio that allows you to control all aspects of your character! Manipulate time sequences, add head motion, insert facial expressions, select different backgrounds, record or load voice clips, adjust lip synchronization, preview your character, or create markers and scripts that allow you to seamlessly match TalkingShow™ characters with Web presentations to resemble live press conferences or speeches.

Finally, the TalkingShow™ StageManager database allows you to search, organize, and mix 'n' match voice clips along with facial models so you can assemble an entire cast of TalkingShow™ characters that will leave your Web visitors entertained until the end of eternity.


The TalkingShow Process

A simple and straightforward glance at the TalkingShow process is provided below. Click on any of the diagrammed steps for more details!

  1. Creating a Facial Image

  2. Creating a Facial Mask

  3. Loading and Aligning

  4. Loading a Voice Clip and Generating Visemes

  5. Add Expressions, Head Motion, and Action

  6. The Final Streaming File


About this Online Help

TalkingShow™ Online Help is intended to cover the TalkingShow™ software application in depth with vast instructions and diagrams to guide you. It covers the following:

  • Introduction provides the basic premise and the underlying theme of TalkingShow™ by introducing it coupled with the table of contents and other Online Help descriptions.

  • Getting Started features a visual overview of TalkingShow™ Studio and StageManager. It also outlines the preliminary steps of creating facial images and masks before loading them into the TalkingShow™ Studio.

  • TalkingShow™ Studio encompasses the entire array of TalkingShow™ Studio functionality and features. From loading and aligning images to adding events and markers, this section provides you all the information you need in creating a thoroughly mesmerizing project.

  • The Final Output describes how to save your TalkingShow™ file, importing and exporting, and build streaming files for Web publication.

  • Internet Streaming provides a modest description of streaming on the Internet and then further illustrates the differences between types of Web servers. Finally, it details how to stream your TalkingShow™ file on your Web page via embedding the Windows Media Player in your browser or opening it as a stand-alone player.

  • TalkingShow™ StageManager describes in depth how to utilize StageManager to your advantage when it comes to managing, organizing, querying, and mixing 'n' matching your entire arsenal of TalkingShow™ files.

  • Tutorial instructs users in creating their own TalkingShow™ streaming file step by step.

  • Technical Support describes how to obtain further assistance and support through various means.


Using the TalkingShow Gallery

Equipped with a busload of 3D characters, the TalkingShow™ Enterprise and Professional versions come equipped with the TalkingShow™ Gallery, an awesome collection that continues to strive in the pursuit of enhancing your creativity and provide non-stop action and fun! The TalkingShow™ Gallery CD will have its own installation setup, so be sure to install or copy these wild and crazy characters into your hard drive.

The Gallery includes many royalty-free head and facial models in TSP format:

  • male and female photos

  • 3D objects

  • cartoons

  • sculptures

  • dolls

  • prized illustrations

Users are free to use these models with TalkingShow™ to produce digital artwork and free to publish electronically. However, users must obey the following licensing rules:

Caution: Licensed uses including electronic presentations, editorial uses, training and promotional disks, online or electronic publishing (including Internet Web pages), games, educational products, edutainment products, television and screensavers. You may not transfer or assign any license to a third party. You may not make copies, either digital or printed, of the image for the purpose of relicensing or reselling the image. Please read the detailed license agreement in the TalkingShow Gallery CD.


A Visual Overview

This is a visual overview and simplified description of the TalkingShow™ software application intended to give users a quick reference for all visual functions and menu commands. Be sure to read the relevant sections for more details on certain commands and menu items.


The Studio Overview

Head Definition Pack Mode

1 | Preview Window
2 | Accessories Window
3 | Modes Window

Head Animation Pack Mode


Studio Main Toolbar

Main Toolbar

Icon | Description
 | Creates new project
 | Opens project
 | Saves project
 | Loads a facial image
 | Loads a facial mask (image)
 | Loads a voice clip (audio file)
 | Adds a background image to the project
 | Adds background audio to the project
 | Records voice clips
 | Builds your project into a streaming file


Preview Toolbar

Icon | Description
 | Previews playback of your project
 | Stops preview playback
 | Tests opening and closing of mouth
 | Tests eye blinking and movement
 | Tests head motion
 | Increases or decreases volume by dragging scrolling bar


Head Definition Pack Toolbar

Icon | Description
 | Rotates facial image
 | Pans and moves facial image
 | Zooms in and out
 | Zooms in specific areas
 | Resets view to home
 | Allows aligning of facial image
 | Aligns the XY axes
 | Aligns the Z-axis
 | Shows and hides the morphing lines
 | Displays texture mapping surface
 | Displays flat shading surface
 | Displays wireframe surface


Head Animation Pack Toolbar

Icon | Description
 | Automatically recognizes voice clips and creates visemes
 | Generates automatic head motion for the entire file
 | Zooms in on selected area
 | Zooms in
 | Zooms out
 | Zooms out to maximum viewing area
 | Zooms to the smallest ratio (1:1)


File Menu in Studio

File Menu

File menu commands create new projects, open existing files and also save projects. Importing and exporting HDP or HAP, designating properties and options, and Building Streaming File for Web publication are the other File menu commands.


HDP Menu

HDP commands are important aspects at the start of your project when loading the facial image and mask. Aligning commands, the appearance of your HDP when aligning, and the Undo function are also found here.


HAP Menu

HAP commands include all functionality related to your voice clip and editing the personality of your character in regards to actions, head motion, expressions, audio and visemes.


Accessories Menu

The Accessories menu adds and modifies background items after you have loaded the appropriate item into your project.


Preview Menu in Studio

Preview Menu

The Preview commands control playback and other previewing functions that checks alignment of the character.


View Menu in Studio

View Menu

The View commands control hiding and showing your windows, switching between HDP (Head Definition Pack) and HAP (Head Animation Pack) modes, the Head Animation Pack mode zoom functions, and switching between tabs in the Accessories window.


Help Menu

Access the online help here along with the link to the TalkingShow™ website and registering your software application.


The StageManager Overview

1 | Preview Window
2 | Properties and Sources Window
3 | Database Window


StageManager Main Toolbar

Main Toolbar

Icon | Description
 | Changes to thumbnails view size
 | Changes to large icons view size
 | Changes to small icons view size
 | Changes to list view size
 | Changes to details view size
 | Edits currently selected files
 | Creates new file (HDP, HAP or TSP)
 | Displays properties
 | Refreshes screen resolution
 | Queries for TalkingShow™ files
 | Deletes selected files
 | Adds file to current database
 | Renames selected file
 | Saves and copies file as a new file


File Menu in StageManager

File Menu

You may choose to create or edit new HDP, HAP or TSP. Your file's properties and options are also found here.


Database Menu

Add, Delete, Rename or Save As database records. Choose Query to find associated TalkingShow™ files or, choose Rebuild Database and Update Database to build your database again.


Preview Menu in StageManager

Preview Menu

Click on an action to check your alignment or Play to preview your show. The Pin commands confirm a HDP or HAP when you are mixing 'n' matching different HDP and HAP from a variety of characters and projects.


View Menu in StageManager

View Menu

Window commands hides or shows windows while Category options allow you to view only one specific category of files. Each windows' view have five viewing selections in the form of diagrams or by text (similar to Windows Operating System) and may be rearranged according to their properties.


Creating a Facial Image

This is a two-step process, but for the first step in creating your own TalkingShow™, you will need a two-dimensional (2D) facial image that could be a photograph of yourself, a relative, or even your favorite cartoon character.

The second step is to create a mask from this initial image. Remember, both images serve as the basic reference point in the visual TalkingShow™ landscape and are paramount for a great performance!


Obtaining an Image

There are a number of ways in taking pictures these days with numerous technology inventions cropping up everyday. Here are a few ways in obtaining images in our digital world but keep in mind that clarity and detail is a must:

  • The old-fashioned way: using film to take pictures or even drawing it and then scanning them into your computer

  • Digital camera

  • Digital camcorder

  • PC camera (not recommended)

Optimal Conditions for your Image

Before you take or draw any pictures, keep in mind the optimal conditions for images that will be loaded into TalkingShow™ Studio:

  • Do not wear glasses

  • White background or uniform colored background

  • Avoid facial expressions of any kind

Depending on your preferences for background images, the larger the face size, the more precise and obvious the lip synchronization and facial expressions. However, if you prefer distinct background images, the best solution is to minimize the face size and maximize the background area.


Processing the Image

First of all, the basic image premises:

  • 256x256 (pixels) image size

Info: Pixels stand for picture elements. They are dots used to display a digital bitmapped images in the form of rectangular grids on a computer screen.

  • JPEG (baseline) format

Info: JPEG (Joint Photographic Experts Group) is a compressed image format that is most suited for 24-bit monitors but not suited for flat-color images or type.

  • 15KB-20KB file size

If your facial image is not this size, no worries! There are many image processing software applications to choose from. For our purposes, we will use Adobe Photoshop 5.5 to serve as an example for cropping your original image into a new 256x256 JPEG image.

Cropping the Image

  1. Start Adobe Photoshop. Then, go to File > Open and select your image. Click OK after you have selected an image.

  2. Now, go over to the Toolbox and depress the first icon in the upper left corner until you see the Cropping tool. Select it.

  3. In one of the windows, the default mode should display the Crop Options. If not, go to View > Show Options.

  4. Click on Fixed Target Size. Then enter 256 into the Width and Height fields. Be sure both drop-down menus are in pixels.

  5. Begin cropping by clicking once and dragging the rectangular box around the face and the surrounding area. Release when you are done.

  6. Click and drag on the cropped area to move it left, right, up or down or press Esc on your keyboard if you are not satisfied with your cropped area and want to start over. You may also adjust the size by clicking the corners and dragging or you may drag or rotate your cropped image simply by clicking outside of the cropped area and moving the cursor in a circular direction. Press Enter when you are done.

Note: Cropping deletes the areas that are not selected. If you would like more information on cropping, please refer to your software's user's guide or online help.

  7. The new image will have shaved off the uncropped area and should now be exactly 256x256. To save, go to File > Save a Copy. Name the file but remember to select the JPEG format. Click Save.

  8. For the JPEG Options, select a Quality and be sure to choose "baseline" (the default) for the Format Options. TalkingShow™ Studio is not able to load "progressive" JPEG images.

  9. Click OK.

  10. Do not close the file. The next step is to create a mask.


Creating a Facial Mask

If you had heeded the optimal conditions in the Obtaining an Image section, creating a mask with a white colored background is very straightforward. For demonstration purposes, we will use the magic wand. (Other tools could also be employed like the lasso or magnetic pen tool.)

  1. With the image still opened, choose the magic wand to select the white background area.

  2. Once you have selected this tool, the Magic Wand Options will appear. Set the Tolerance (0-255 pixel) level where the higher the tolerance, the higher the detection rate for shadow.

  3. Be sure to check Anti-aliased if you want a smoother edge when selecting and Contiguous so as to restrict the selection connected to the area clicked.

  4. Click on the background (white or uniform colored area).

  5. Go to Edit > Fill... In the Use field, choose Black. Click OK.

  6. Now, right click on the selected area and choose Select Inverse or you may go through the menu: Select > Inverse.

  7. Go to Edit > Fill... and then choose White. Click OK.

  8. Now, save this file by pressing CTRL+S or File > Save a Copy...

  9. Choose the JPG format and name the file. Remember that the JPEG format should be "baseline."

  10. Click Save when you are done entering a file name.


Mask Troubleshooting

  1. Open the mask image. Click on the Magic Wand tool.

  2. Select the uniform white image area and then Select > Modify > Expand.

  3. A dialog box will appear for you to designate the expanded area. Usually 1 pixel is suffice, but it depends on the amount of white colored area you viewed while in the TalkingShow™ Studio after your alignment. Click OK.

  4. Save it (CTRL+S) and load it back into the TalkingShow™ Studio.


The TalkingShow Studio

Before you begin, the right side of the TalkingShow™ Studio interface is divided into two modes:

  • Head Definition Pack (for facial model)

  • Head Animation Pack (for voice and animation)

Just remember that HDP (Head Definition Pack) or HAP (Head Animation Pack) are the file extensions given for TalkingShow™ files, for each encompass one aspect of TalkingShow™ Studio. Later, you will learn how to import and export them for the purposes of mixing 'n' matching your characters' facial models with other characters' voices and etc.


Adding the Image

Now you are ready to use TalkingShow™ Studio by loading the two files you have just created. After that, you will be loading a voice clip to give your TalkingShow™ a voice, and then adding expressions, actions, and background images as you wish.

Loading the Image and Mask

  1. Start TalkingShow™ Studio. Choose HDP > Load Facial Image or click on the icon in the main toolbar.

  2. Select your facial image, and click Open.

  3. The image appears and replaces the default.

  4. Now, choose HDP > Load Facial Mask. Choose the mask file and then click Open.

  5. The background will turn black.


Aligning the Image

Now that both images have been loaded, you may notice that the morphing lines (the yellow-dotted facial outline) are not aligned properly or notice white colored areas outlining your image. All this depends on the size of the face and where it is located relative to the image as a whole.

Alignment is one of the most important aspects of TalkingShow™. If it is not correctly done, the expressions and head movements won't match up properly with the image and thus in turn, the realism factor will suffer. So, be sure to properly align the image with the outline before you begin incorporating voice clips.

Tip: Whenever you make an error, remember you can always undo your action by pressing CTRL-Z or HDP > Undo available only for the Head Definition Pack mode.

  1. The default is the Rotate command. You won't have to rotate your image, since the first step is to line up your image with the morphing lines. Click Align in the right toolbar or go to HDP > Align.

Info: The XY axes are your basic two-dimensional coordinates for flat images with X coordinate representing the width and Y the height. The Z-axis measures the depth of the image.

  2. Simply move the cursor over the border, which will then be highlighted, and then click and drag the border so it lines up with the face.

Tip: During alignment, you may rotate your image by holding down CTRL as you drag your image, or pan by holding down the SPACEBAR and repeating the same dragging action, or zoom by holding down SHIFT and rolling the mouse forward or backwards. Release to return to alignment.

  3. Once the borders are approximately lined up, place the cursor over certain facial features (e.g. eyes or mouth) and they will be highlighted in white. Move them by clicking and dragging.

  4. After all the facial features are roughly lined up, begin moving the individual feature points, which will be highlighted in red, one at a time.

Tip: For points located at the top of the border, try to drag the points lower so that it is centered between the scalp and outer surface of your hair. This way, it'll produce a more realistic effect when head motion is being utilized and take advantage of TalkingShow™'s remarkable proprietary feature that renders the hair's appearance to appear extremely genuine.

  5. Test the alignment frequently by pressing the open mouth, blink, and move head buttons in the Preview window located on the left side of TalkingShow™ Studio (refer to the A Visual Overview) or go to Preview > to choose.

  6. If you prefer, you may also alter the depth of your facial image. It is recommended that you first use Rotate in order to view it along the Z-axis (sideways). Click Z-axis or go to HDP > Align By > Z-Axis.

Note: After alignment, if a white colored outline encapsulating your image is still evident, this is because the mask that you created may need a little bit of retouching. The following section is just one of the many ways in retouching your mask. Please refer to your software's user's guide or online help for more information on other techniques.


Displaying Options

To assist with your alignment, the TalkingShow™ Studio provides flexible options geared to quicken up the process.

Zooming

  1. Click one of the Zoom commands on the right toolbar.

  2. The first Zoom function is controlled by the mouse. Simply push the mouse in a forward direction to zoom in and the opposite direction to zoom out.

  3. The Marquee Zoom is to focus on specific areas. Click, draw the selected area around your target, and then release.

  4. Click Home or go to HDP > Home to return to the original view.

Showing the Surface

TalkingShow™ Studio has provided users with three basic surface views:

  • Texture Mapping: Displays the entire image for more precise alignment but is longer to process and consumes more CPU resources than the other selections.

  • Wireframe: Only displays the edges of a model, but edge information is easier to process and display.

  • Flat Shading: Displays shading, an artistic technique used to represent gradations of light but not full texture. It is easier to process and display than Texture Mapping.

  1. Go to HDP > Show Surface With and pick a selection or click on one of the commands located in the right toolbar.


Creating a Voice

After you have loaded your facial image, the accompanying mask, and have completed the alignment, you are ready for the next step in furnishing your facial model with a voice.

Keep in mind that whenever you record a voice (speech clip) or are loading external voice clips into TalkingShow™, all file attributes for the Wave formatted files are acceptable, but because of internal processing requirements, TalkingShow™ will convert and format these files with the following attributes:

  • 16 kHz

  • 16 Bit

  • Mono

Caution: Files that contain music or any kind of singing may be loaded, but is not advised because of unsuitable and improper viseme recognition.


Recording a Voice Clip

TalkingShow™ Studio saves you the hassle of finding your own audio software recorder and adjusting the recording levels by providing its own audio recorder and preset recording levels (i.e. 16 kHz, 16 bit, mono). You may also use professional sound editing tools and software applications for recording your voice clips like SoundForge or GoldWave.

  1. Make sure your microphone is hooked up properly with your sound card.

  2. With TalkingShow™ Studio open, click the Recorder button located up top in the main toolbar or go to HAP > Record Voice Clip.

  3. Click Record. Begin talking.

  4. Click Stop after you are finished. Click Play to playback your recording.

  5. If you are satisfied, click Save. Select a location where you would like to save it and then click Save.

  6. After you have saved this Wave file, click Exit (upper right hand corner). A dialog box will appear.

  7. Click Yes if you would like to incorporate this voice clip into your current project or No if you want to leave the current voice clip.


Loading Voice Clips

Loading a Voice Clip

If you already have other existing voice clips in mind, then you won't have to record a new file and may simply load your existing files. TalkingShow™ Studio makes the loading action effortlessly, for it will automatically convert the voice clip into a 16 kHz, 16 bit and mono formatted file.

  1. Go to HAP > Load Voice Clip or click on the icon in the main toolbar.

  2. A dialog will appear. Click Yes.

  3. Another dialog box will appear for you to select your voice clip. After you select your file, click Open.

  4. After you have loaded the voice clip successfully, the mode will switch to Head Animation Pack automatically. Notice that the voice clip has been added to your project.


Generating Visemes

After you have loaded the voice clip successfully, the next basic task is to generate visemes, which basically compromise all the lip synchronization in your show.

Info: A viseme is a visual correlate to phonemes, the smallest structural unit of speech sound which can distinguish one word from another.

To do so, simply click Recognize located on the right toolbar or go to HAP > Recognize Voice Clip. The process usually takes a 1-5 minutes depending on the length of the Wave file (e.g. 60 second Wave file takes 1-2 minutes).

Now, after the visemes have been generated, you may preview your TalkingShow™ by pressing Play in the Preview window. For more information regarding visemes and phonemes, refer to the following table:

# | Phonemes | Examples | # | Phonemes | Examples
1 | p, b, m | pad, but, miss | 8 | n, l | nix, lob
2 | f, v | fat, vice | 9 | r | run
3 | T, D | thank, than | 10 | A: | bar
4 | t, d | tin, dig | 11 | e | wed
5 | k, g | con, gay | 12 | I | tin
6 | tS, dZ, S | chase, jog, she | 13 | O | flop
7 | s, z | sin, zero | 14 | U | cook

If you prefer, you may spice up your show by adding expressions, teeth, head motion, background images and audio, or markers and scripts. Go to the next section for more details.


Editing Visemes

You may choose to move, modify the intensity, lengthen or shorten the viseme, and replace it entirely. Use the Zoom controls on the right toolbar for zooming efficiency and enable accurate editing.

To edit visemes, you must select a specific viseme so put the Zoom commands to good use.

  1. After you have zoomed in on the specific viseme you want to edit, click it once for selection.

  2. The fastest way is to click on it twice to call up the editing dialog box. Go to #5.

  3. There are a few methods here. One is to access the Visemes window in the Accessories window by clicking on the tab, dragging, and then releasing a specific viseme into the selected area. The cursor will transform into a mouth when it is dragged into this area.

  4. The other method is to right click in the selected viseme area and a menu will appear.

  5. You may Edit Selected Viseme..., Delete or Remove All Visemes here. Choose Edit Selected Viseme... to replace this viseme.

  6. Click OK after you have selected and have altered the intensity by dragging the slider left to decrease or right to increase.

  7. You may also go through the menu HAP > Edit Selected > Viseme. Click OK after selecting.


Modifying Visemes Duration

  1. To modify the length, move the cursor towards the outer edge of a viseme and it turns into a red two-sided arrow. Now, click and drag for a longer duration or shorter one. This way, you may also delete neighboring visemes by overlapping them.


Moving Visemes

  1. To move, simply click and drag one with the mouse as a hand icon appears. Release when you are done.

Note: Visemes can only be shifted forward or backward in its initial range but can't be moved outside of it if enclosed by neighboring visemes.


Inserting Visemes

On occasion, you may want to insert a viseme or replace a group of visemes. The majority of the time, inserting would not be needed if you have successfully recognized your voice clip (refer to the Generating Visemes). However, if you are proficient and experienced with these techniques, you may insert your own visemes.

  1. Click and then drag anywhere within the rows. The area will be highlighted.

Note: Unlike the previous Editing Visemes section, you would not have to select the entire viseme and may replace partial visemes. If the selected area includes partial visemes, the Edit Selected Viseme selection in the menu will not be available for selection.

  2. There are a few methods here for inserting. One is to access the Visemes tab in the Accessories window by clicking on the tab and dragging a specific viseme into the selected area and releasing. The cursor will transform into a mouth when it is dragged into this area.

  3. You may also right click in the selected viseme area and a menu will appear.

  4. Choose Insert Viseme... to insert or replace existing visemes. You may also choose the Delete or Remove commands. If you choose the Insert command, a dialog box will appear for viseme selection.

  5. Modify the intensity if you wish and click OK after selecting.

  6. You may also go through the menu HAP > Insert > Viseme. Click OK after selecting.


Selecting Teeth

Click on the Teeth tab to access selections for your teeth.

The upper and lower textures are also provided. Select one by clicking and then preview it by pressing Open Mouth in the Preview window.


Creating Your Own Teeth

You may create your own brand of silliness and special teeth. The following are the exact conditions you have to follow:

  • 64x16 (pixels)

  • JPEG format

  • 2 files: top (.TOP) and the bottom (.BTM) teeth

After your creation is finished, simply save both of these files (for one set of teeth) in the same folder where your software application is located (Windows' default is C:\Program Files\CyberLink\TalkingShow\Teeth unless it is saved in another directory) under the Teeth folder.


Selecting Facial Expressions

To enhance your TalkingShow™ performance, adding expressions to your character while they are speaking not only gives spectators an exciting and humorous presentation, but also a chance for you to accentuate and highlight important concepts and ideas. Remember, before adding facial expressions, your visemes should already be in place (the voice clip has been recognized).

  1. Be sure you are in the Head Animation Pack mode. Now, with your mouse, select an area by clicking where you would like the expression to begin in the Exp row, hold, and drag until where you would like the expression to end. The area will be highlighted.

  2. There are a few methods for selecting facial expressions after you have selected an area. The first one is through the Expressions tab below the Preview window. Just click on its tab to access.

  3. Pick an expression, drag it over the highlighted area, and release when the cursor transforms into an expression.

  4. Another method is to simply right click in the Exp area and a menu will appear.

  5. You may Insert a new one, Delete or Remove All the expressions. Choose Insert Expression...

  6. Click OK after you have selected and have altered the intensity by dragging the slider left to decrease or right to increase.

  7. You may also go through the menu HAP > Edit Selected > Expression. Click OK after selecting.

Tip: The easiest way of matching expressions, head motion, background music and image, or action is by selecting viseme(s) first. That way, what is spoken will blend in with everything perfectly! Just click on a viseme or a group of them, and then right click in one of the rows below for selection!

Tip: Be sure to use the Zoom functions located on the right toolbar for quick viseme selections.


Editing Expressions

Editing facial expression are exactly the same way as the visemes. The facial expressions will also be grouped individually.

  1. Click on an expression twice to call up the editing dialog box (go to #2) or once and right click on it to Edit, Delete, or Remove All.

  2. If you choose Edit, a dialog box will appear. After you have finished your selection and have altered the intensity by dragging the slider left to decrease or right to increase, click OK.


Modifying Expressions Duration

  1. To modify the length, move the cursor towards the outer edge of a facial expression and it turns into a red two-sided arrow. Now, click and drag for a longer duration or shorter one. This way, you may also delete neighboring facial expressions by overlapping them.


Moving Expressions

  1. To move, simply click and drag one with the mouse. Release when you are done.

Note: Expressions can only be shifted forward or backward in its initial range but can't be moved outside of it if enclosed by neighboring expressions.


Inserting Head Motion

To enhance your TalkingShow™ performance, adding head motion or head movement to your character while they are speaking provides a chance for you to accentuate and highlight important concepts and ideas during speech similar to that of TV broadcasters.

What's different with inserting head motion as compared to other expressions and visemes is that the head motion is a continuous action that can't exist independently. The head's default starting position is perfectly centered, so if you wish to insert a head motion in the middle or at the end of the file, this area is actually where the head motion ceases (i.e. the final head position). Therefore, head motion that leads up to the final head position from the default starting position will automatically be created for the unselected area prior to the insertion point (selected area).

Remember, before adding head motion, your visemes should already be in place (the voice clip has been recognized).

  1. Be sure you are in the Head Animation Pack mode.

  2. To get a quick start, click the Generate Head Motion located on the right toolbar or go to HAP > Generate Head Motion. For editing, please refer to the next section.

Note: It is highly recommended that you begin at the beginning of the file or use the Generate Head Motion (right toolbar) command first. A head movement cannot exist independently, for it is a continuous action. Therefore, if you insert a head movement in the middle of the file or the end, the head movement will automatically and gradually start from the beginning of the file from its centered default head position up until the end of the selected area.

  3. If you would like to inset on your own, select the beginning of the file or another area by clicking in the Head row, hold, and drag until where you would like the movement to end. The area will be highlighted.

  4. Right click for the menu and choose Insert Motion Until End of Mark...

  5. A dialog box appears. For Roll, drag it to the left or right for the head motion to stimulate rolling or a tilting action in a horizontal fashion.

  6. For the Pitch & Yaw, the red dot signals the imaginary target for the eyes. If dragged horizontally, the head motion will resemble a "swiveling" action. If dragged vertically, the head motion will resemble a nodding or tilting back action.

  7. Click OK when you are done.

  8. Remember to test it out in the Preview window after you have adjusted the head motion for an immediate feedback.

Tip: The easiest way of matching expressions, head motion, background music and image, or action is by selecting viseme(s) first. That way, what is spoken will blend in with anything perfectly! Just click on a viseme or a group of them, and then right click in one of the rows below for selection!


Editing Head Motion

Editing head motion is quite different from other features in that the beginning portion of the subsequent head motion will drastically change in response to a modification in the immediate head motion section prior to it. This is also in effect when deleting specific sections. Just keep in mind that any section you edit, you are setting the final head position. If the subsequent head motion section is altered, the final position of a given head motion will remain the same no matter how the beginning of the section is affected or is altered by the previous head motion.

  1. Click on a head motion twice to call up the editing dialog box (go to #2) or once and right click on it to Edit, Delete, or Remove All.

  2. If you choose Edit, the dialog box will appear. After you have finished your selection, click OK.

  3. You may also go through the menu HAP > Edit Selected > Head Motion. After you have adjusted it, click OK.


Modifying Head Motion Duration

  1. To modify the length or extend, move the cursor towards the outer edge of a head motion and it turns into a red two-sided arrow. Now, click and drag for a longer duration or shorter one. This way, you may also delete neighboring head motion by overlapping them.


Moving Head Motion

  1. To move, simply click and drag one with the mouse. Release when you are done.

Note: Head motion can only be shifted forward or backward in its initial range but can't be moved outside of it if enclosed by neighboring head motion.


Creating the Backdrop

The backdrop or memorable contextual elements always spice up anyone's show with comical or informative images, or mood-enhancing music and pop songs. Take time to consider adding those little extras that will make your show a grand success! Just remember, for adding and then inserting the background audio or images, it is a easy two-step process:

  • Add the background element into your project first

  • then, insert it in your project at a precise location


Adding Background Audio

All kinds of audio files enhance the speech and alters audience moods. Pick a file that suits your voice clip. There are two ways to add background audio to your project.

  1. The first method is to go to Accessories > Background Audio > Add or click on the icon in the main toolbar.

  2. Pick an audio Wave file and then click Open.

  3. The second method is to click the BG Audio tab.

  4. Right click and a menu will appear. Choose Add.

  5. Select a suitable Wave file. Click Open.

  6. This audio file should now appear under this tab along with the file's duration.

Now that your background audio file has been added into your project, you now must select a specific area to insert it in.

  7. With the BG Audio tab active, drag your file over to the Audio row while in Head Animation Pack mode and release. The position indicator line will direct you to the placement of the audio file while your cursor changes into a musical note.

  8. Another method is to first select a viseme or an area by clicking and dragging in one of the rows.

  9. Right click in the Audio row and a menu appears. Choose Insert Audio...

  10. Select the background audio file and modify the volume if you wish. Click OK.

Note: If your background audio is longer in duration than the selected area, it will not play out in its entirety. If it is shorter in duration that the selected area, it will repeat from the beginning.


Editing Background Audio

Editing background audio is exactly the same way as the visemes. The background audio will also be grouped individually.

  1. Click on a background audio twice to call up the editing dialog box (go to #2) or once and right click on it to Edit, Delete, or Remove All.

  2. If you choose Edit, the dialog box will appear. Modify the volume if you wish and click OK after selection.

  3. You may also go through the menu HAP > Edit Selected > Audio after selecting it. After you have chosen another file, click OK.


Modifying Background Audio Duration

  1. To modify the length, move the cursor towards the outer edge of a background audio and it turns into a red two-sided arrow. Now, click and drag for a longer duration or shorter one. This way, you may also delete neighboring background audio by overlapping them.


Moving Background Audio

  1. To move, simply click and drag one with the mouse. Release when you are done.

Note: Background audio can only be shifted forward or backward in its initial range but can't be moved outside of it if enclosed by other background audio.


Adding Background Images

Background images enhance the visual aspect of your show and gives a perfect backdrop. You may also use a variety of images during the course of the show. Before you begin adding images to your project, keep in mind the file size and limitations:

  • 256x256 image size

  • If built as a .TSF streaming file, it will only play the first background image

If you would like help with cropping your image to a 256x256 size, please refer to the Processing the Image section.

This is a two step process. Before you select the area to insert your background image, you first must add the image into your project. There are two ways to add background images to your project:

  1. The first method is to go to Accessories > Background Image > Add or click on the icon in the main toolbar.

  2. Pick an image file and then click Open.

  3. The second method is to click the BG Image tab. Right click and a menu will appear. Choose Add.

  4. Select a suitable image file. Click Open.

  5. This image file should now appear under this tab.

Now that your background image has been added to your project, you now must select a specific area to insert it in.

  6. Drag it over to the Action row when in the Head Animation Pack mode and release. The position indicator line will direct you to the placement of the image file.

  7. Another method is to first select a viseme or an area by clicking and dragging in one of the rows.

  8. Right click in the Action row and a menu appears. Choose Insert > Image... You may also go to HAP > Insert > Action > Image.

  9. Select a background image. Click OK.

Note: Inserted background images do not have a time duration. Thus, inserted images will remain the background image for the show's entirety. If you would like the background image to revert back to the default image, you must insert the default image.


Editing Background Images

When editing background images, they are similar to visemes except for their appearance, which are in the form of flags and not boxes.

  1. Point the cursor on a background image and it will turn into a hand. Click it twice to call up the editing dialog box (go to #2) or once and right click on it to Edit, Delete, or Remove All.

  2. If you choose Edit, a dialog box will appear. After you have finished your selection, click OK.

  3. You may also go through the menu HAP > Edit Selected > Action > Image after selecting it. Select another image and then click OK.


Moving Background Images

  1. To move, simply click and drag one with the mouse. Release when you are done.

Note: Background images can only be shifted forward or backward in its initial range but can't be moved outside of it if enclosed by other background images.


Previewing Your Show

Before your grand performance, previewing and rehearsing is always a good idea.

  1. Go to the menu item Preview and select an action.

  2. You may also click Play directly to sample your file (located in the Preview window) and Stop or to test out individual facial movements by pressing the corresponding button.

  3. Adjust the volume here by clicking and dragging or go to Preview > Mute.


Selected Preview

If you would like to play specific portions of your show and not in its entirety:

  1. Click anywhere amongst the rows and drag the selected area.

  2. Alternatively, you may select a specific viseme, expression, action, background audio or head motion.

  3. Click Play.


Adding Markers

Markers allow you to "mark" specific scenes of your TalkingShow™ so that during playback, users can instantly jump to any marker (similar to a bookmark). This gives creators the ability to implicitly focus on key scenes and messages conveyed by your character.

  1. Click on a specific area and then go to HAP > Insert > Action > Marker.

  2. Another method is to go to the Head Animation Pack mode by clicking on its tab and right click in the Action row where you would like to insert your marker.

  3. Choose Insert > Marker...

  4. Type in the name you would like to name your marker with.

  5. Click OK when you are done.

The marker will only be available during playback after this file has been saved and built as a streaming file (go to Building the Streaming File). When playing streamable files, markers will be located in the drop-down menu below the streaming content. Simply click on one to jump to a specific mark.


Editing Markers

When editing markers, they are similar to visemes except for their appearance, which are in the form of flags and not boxes.

  1. Point the cursor on a marker and it will turn into a hand. Click it twice to call up the editing dialog box (go to #2) or once and right click on it to Edit, Delete, or Remove All.

  2. If you choose Edit, a dialog box will appear. After you have finished modifying the marker, click OK.

  3. You may also go through the menu HAP > Edit Selected > Action after you have selected the insertion point (i.e. where the position indicator is placed). Click OK after you have modified it.


Moving Markers

  1. To move, simply click and drag one with the mouse. Release when you are done.

Note: Markers can only be shifted forward or backward in its initial range but can't be moved outside of it if there are other markers enclosing it.


Scripts Definitions

Before adding scripts, keep in mind that scripts will usually utilize at least two frames in your Web browser. Here is a quick description of the possible scripts in streaming format:

  • URL (Uniform Resource Locator): When you create an URL script, it is optimal if you have created at least two frames in your Web page (HTML file). This way, TalkingShow™ will seamlessly synchronize with the opening of your Website(s) of choice or other files when it sends the specific URL to your browser. This is taught in Embedding Windows Media Player in your Browser. Otherwise, the URL will replace your show if you have only one frame.

  • FILENAME: This is a URL to another media file to be played which will replace the existing file. For creating a file name script, this depends on your browser's capability to handle your file format. This is best for playing consecutive streaming or video files in the same frame. If you would like to make use of streaming file synchronization with a URL and other files in a separate frame, you must enter a URL script.

  • TEXT: This provides viewers and Web visitors with additional information in the form of a text string located below your TalkingShow™ presentation.

Tip: Remember to turn on your captions when playing files with your Player!

  • EVENT: Type in the name of the event here, which could be a message, playlist, ad insertion or any modifications for your Web page during your show.

  • OPENEVENT: Preceding the actual EVENT, this script assists you in pre-buffering the content (i.e. prepares it) so that the EVENT occurs almost seamlessly during the switch.


Adding Scripts

Scripted events add more color to your show if you would like to flawlessly synchronize opening Websites with spoken content, use captions, or select a suitable file from your own personal directory to supplement your show and make it that more dazzling.

  1. Click on a specific area and go to HAP > Insert > Action > Script.

  2. The second method is to switch to the Head Animation Pack mode by choosing View > Switch to HAP Mode and right click in the Action row where you would like to insert your script.

  3. Choose Insert > Script...

  4. Choose a script format and fill out the Argument String field.

  5. For the URL script, you may input an HTTP address (e.g. http://www.gocyberlink.com).

  6. To input a URL file name, you may use the &&framename syntax. For e.g., if your file is "slide01.html" and your frame name is "slides", then you would type slide01.html&&slides so that the URL is played in another frame (if your Web page has two or more frames). Please refer to Embedding Windows Media Player in your Browser for more information on URL scripts and frame names.

  7. For the FILENAME script, click the drop-down menu to choose it. Then, enter the entire path of the file name or an URL path.

  8. For a TEXT script, choose it from the drop-down menu and enter in what you would like to scroll. You may also alter the font and other attributes with a little bit of HTML knowledge. For e.g., the following HTML command with the word "hello" serving as the text:

<DIV STYLE="color:blue; font:20pt Arial; padding:4px"><B><Center>hello</Center></DIV>

  9. Click OK when you are done.


Adding Events Scripts

Adding and opening events is more complex than the other scripts, so we will attempt to explain this in more detail and provide a sample code.

The EVENT and OPENEVENT work in unison. It is advised that the OPENEVENT be employed because it pre-buffers (i.e. prepares it) the content for the upcoming EVENT.

  1. First, insert the EVENT script and choose it from the drop-down menu. (Follow the instructions in the last section.) Type in the name of the EVENT and click OK.

  2. Select an area before the EVENT is to take place and insert an OPENEVENT. Ten seconds is a suitable time. For the argument string, simply type the name of the event and then click OK.

  3. Now, create a metafile (ASX). Please refer to Creating Windows Media Metafiles & Adding HTML Tags for more details on the reason behind metafiles and how you create one.

  4. Add the following EVENT tag into your metafile and be sure to enter in your personal file information:

<EVENT Name="yourparameter">
<ENTRY>
<TITLE>"Demo"</TITLE>
<REF href="yourfile.wmv"/>
</ENTRY>
</EVENT>

  5. The final step is to add JavaScript into one of your HTML pages, which should be the frame that controls the streaming file. (Please refer to Embedding Windows Media Player in your Browser for more information.) Now, add the following JavaScript, which demonstrates a message (using alert) and be sure to enter in your personal file information:

<SCRIPT for="NSPlay" event="SCRIPTCommand(Type, Param)" LANGUAGE="JScript"> switch (Param) {
case "yourparameter":
alert ("yourmessage");
break; }
</Script>


Editing Scripts

When editing scripts, they are similar to visemes except for their appearance, which are in the form of flags and not boxes.

  1. Point the cursor on a script and it will turn into a hand. Click it twice to call up the editing dialog box (go to #2) or once and right click on it to Edit, Delete, or Remove All.

  2. If you choose Edit, a dialog box will appear. After you have finished selecting another script or have modified the Argument String, click OK.

  3. You may also go through the menu HAP > Edit Selected > Action. Click OK after you have modified it.


Moving Scripts

  1. To move, simply click and drag one with the mouse. Release when you are done.

Note: Scripts can only be shifted forward or backward in its initial range but can't be moved outside of it if there are other scripts enclosing it.


Setting Properties

To make your files more manageable, setting properties for your files are always beneficial when organizing or searching for files in large quantities. Set properties before you save your file.

  1. With the TalkingShow™ Studio still open, go to File > Properties.

  2. Click twice on the space to the right of the field you would like to fill out. The field heading will be highlighted in blue while the field itself will be in white.

Note: For the Category field, you may either create a new category or click on the arrow for the drop-down menu to choose a default category.

  3. Enter the properties and press ENTER when finished. Click on another field twice to enter more information or click OK when you have finished inputting all the properties.


Setting Options

Access the TalkingShow™ Studio options by going to File > Options.

  • Enable toolbar floating allows the toolbars (main and right toolbars) to be placed anywhere on your screen from its default position. You may choose to remember the window sizes of your main windows the next time you start TalkingShow™ Studio by checking Remember preview and tool window size.

  • You may modify the appearance of your Head Animation Pack mode by using a mm:ss time unit and changing the Position Indicator or Speech Waveform Colors. For changing colors, click on the box and a dialog box will appear to select a suitable color.

Click OK after you are finished.


Obtaining Help

Under the menu item Help, there are a number of ways to obtain support and assistance:

  • An Online Help is provided. Choose Content, Search or Index to find out the information or instructions you need.

  • Choose Register TalkingShow™ to register your software that entitles you to product updates and great offers. Additional registration for TalkingShow™ software is also required in terms of the TalkingShow™ version which is for a single or multiple website(s).

  • There is also a Link to Official TalkingShow™ Website just in case your creativity is dwindling and you need more clips and samples. This is also a perfect place for you to download software updates.


The Final Output

After the all the hard work and the arduous task of synchronizing all the head motion, expression, audio files, images and events, you are ready to output your ultimate showpiece. The first step is to save it and then build it as a streaming file. After building it, you will now move onto the next step in showing your TalkingShow™ on the Internet for public consumption.


Saving

When saving, TalkingShow™ Studio will allow you a few options when saving files:

  • To save as a whole project (TalkingShow™ Project - TSP)

  • To save the facial model (Head Definition Pack - HDP) separately

  • To save the voice and animation (Head Animation Pack - HAP) separately


Saving as a Project

This option is best for users who are just beginning to use TalkingShow™ or those who prefer to keep characters and their corresponding voice and animation independent of other TalkingShow™ projects.

  1. Go to File > Save Project As.

  2. Find the directory where you would like to save it under and type in the name of your project. Click Save.


Saving as HDP or HAP

If you would like to mix 'n' match your facial models from one character with other characters' voices or other forms of animation, this selection is for you! This method will leave you with endless possibilities and tons of experimentation experience.

  1. Go to File > Export > Head Definition Pack or File > Export > Head Animation Pack.

  2. Find the directory where you would like to save it under and type in the name of your HDP or HAP. Click Save.


Importing and Exporting

As discussed in the previous section, exporting is great for dividing your project up so as to mix 'n' match with other project files.


Importing

  1. After you have opened a project file (TSP), go to File > Import > Head Definition Pack or Head Animation Pack.

  2. Pick one and then click Open.

  3. You have now successfully created an entirely new character from mixing the original HAP file with a new HDP file.

  4. To save, go to File > Save.

  5. Find the directory where you would like to save it under and type in the name of your project. Click Save.


Exporting

For exporting as HDP or HAP, please refer to Saving as HDP or HAP. If you originally have a TSP file and would like to save the facial image, mask or voice clip separately, you may do so by exporting:

  1. Go to Export > Facial Image, Facial Mask, or Voice Clip.

  2. Type the file name and then click Save.


Building the Streaming File

Since TalkingShow™ is an entity that lives and thrives on the Web, it's only natural for it to adopt streaming technology as a basis of its existence. We will build it into a streaming file so your character may begin it's lifelong journey.

  1. Go to File > Build Streaming File or click on the icon in the main toolbar.

  2. Next, choose the streaming format.

  • Microsoft MPEG-4 streaming video format-a.k.a. MP43, exports using the WMV file extension. This output format is supported by the default Media Player video codec. When selecting, the higher the bitrate per second, the better the quality but at the expense of the hard disk consumed (i.e. 28.8 is the lowest quality). No other additional plug-in is required here, but the output quality of MP43 streaming video is inferior to CyberLink's proprietary streaming format.

  • The Model-based Video is CyberLink's proprietary streaming output that utilizes the TSF file extension. This streaming format results in a much better streaming video quality than MP43 when using the same bitrate stream. In order to view the streaming files on the Web, users need to install a plug-in software. The size of this plug-in software (a codec) is around 260KB and is free for distribution. The setup program is in the CD (ictssetup.exe) and can also be downloaded from the CyberLink Website.

  3. Check Generate HTML file to host streaming file if you would like to automatically create a HTML file to embed your TalkingShow™ streaming file (played by the Windows Media Player) in client's browsers for Web publication. Please refer to Embedding Windows Media Player in your Browser for more details.

  4. After you have selected, click OK.

  5. Type in the file name. Click Save.


Internet Streaming Primer

The streaming format will play your TalkingShow™ presentation in all its entirety on your Web page similar to an executable file. Of course, the distribution speed of the streaming content depends on your Web server configuration and also the available bandwidth of your and your users' Internet connection. The output resolution will be dependent on the transmission bandwidth. There are several TalkingShow™ streaming output selections available in optimizing the presentation quality in regards to bandwidth requirements so please refer to Building the Streaming File.

Internet streaming publication and preparation will be divided into two sections: Streaming from a Web Server and Streaming from a Windows Media Server (recommended). Let's first take a look at how they stack up against one another.


Windows Media Server vs. Web Server

The Windows Media server is for expanded use of streaming media such as live broadcasting and intelligent streaming. It also is, by default, the best way to stream media since it was designed especially for streaming. It also provides sufficient tools and support for traffic management and broadcasting streaming services. This differs from HTTP (Hypertext Transfer Protocol) streaming, which is directly streamed from Web servers.

If you only have a few streaming media files, Web servers are sufficient. But if you want to optimize streaming technology and services, set up a Microsoft Windows Media Services server, which is freely distributed with the Windows 2000 operating system and may be downloaded for free from the Windows Media Technologies pages.

Here are the differences between the two types of servers:

Feature | Windows Media Services | Web Server
Stream through most firewalls* | X | X
Stream without downloading** | X | X
Stream Digital Rights Management content | X | X
Windows Media security | X | X
Broadcast (live) | X |
Intelligent streaming | X |
Optimized for streaming Windows Media content | X |
Indexing | X |
Administering and logging | X |

*Firewalls are special servers that filter information flowing between the Internet and private networks or intranets. By default, firewalls block incoming data that aren't from Web servers (i.e. streaming content) but can be reconfigured. An alternative is for the streaming content provider to distribute via HTTP streaming (Web servers employ HTTP), while a Windows Media server may also enable this via reconfiguration.

**Links to Windows Media metafiles (or other redirecting files) are needed to redirect to the streaming content instead of downloading it.


Streaming from a Web Server

If you have your own Website or Web page operating with an ordinary Web server, you will have to prepare your Windows Media streaming file for public consumption which will include three easy steps:

  • Configuring MIME Types for your Web server

  • Preparing your streaming content

  • Creating Windows Media metafiles (streams the TalkingShow™ file instead of accidentally downloading it)

  • Adding tags to your HTML file

These three steps are divided into the next three sections and are essential for streaming your TalkingShow™ publicly.

Info: Web servers are basically portals or gateways to the Web where all the files and data are stored. They also use special server operating systems like Unix or Microsoft Windows NT® and control and upload all the necessary information from your Website or Web page for public consumption (i.e. Internet).


Configuring MIME Types for your Web Server

MIME (Multipurpose Internet Mail Extension) has to be configured first and foremost on your Web server before public adulation and praise is bestowed upon your streaming file! After your Web server is configured and recognizes these new Windows Media MIME types (.ASF, .ASX, .WMA, and .WAX), all your audience needs is Windows Media Player 6.4 and to follow the instructions in our Embedding Windows Media Player in your Browser section in order to enjoy streaming Windows Media-based content.

So let's get started in configuring MIME Types. Go to: Windows Media Services and MIME for all the configuration details. When you feel you are quite handy and proficient with this process, plug in the following information and your MIME configuration will be completed:

File Extension | MIME Type
.ASF | video/x-ms/-asf
.ASX | video/x-ms/-asf
.TSF | application/x-mplayer2
.WMA | audio/x-ms/-wma
.WAX | audio/x-ms/-wmx


Preparing your Streaming Content

This step is the easiest, because TalkingShow™ supports Windows Media technology and therefore prepares your streaming content for you when you build it.


Creating Windows Media Metafiles and Adding HTML Tags

This is a two-step process after your streaming file has been encoded by TalkingShow™. Basically, you will first be required to create a Windows Media metafile. This might sound like a time-consuming task, but no worries, it is only a text file that'll feature five lines. After its creation, the tags will be added to your Web page that features the streaming file.

The reasons for creating these two entities are first, in an ordinary Web server environment, the HTML tag will point the end-user's browser to the metafile, which in turn points the end-user's Windows Media Player software to the content--the Windows Media streaming file--and instruct it to play the content. If a metafile is not created while the tags (only points to the location of the Windows Media streaming file on the Web server) are, most browsers will incorrectly attempt downloading the file rather than instructing the Windows Media Player to stream it. Just keep in mind that the metafile (e.g. .ASX file) is a shortcut to your streaming file.

Second of all, in a Web server environment or even in a Windows Media Services environment, the streaming will be handled by the browser which is not equal to streaming from a streaming server. Refer to Windows Media Server vs. Web Server for more details.

Creating a Windows Media Metafile:

  1. Open a text editor (software) such as Microsoft Notepad.

  2. Type the following metafile script but remember to replace the URL with your own information:

<ASX VERSION="3.0">
<ENTRY>
<REF HREF="http://YourWebServer/Path/YourFile.tsf" />
</ENTRY>
</ASX>

  3. Save the text file with the .ASX extension.

Info: ASF Stream Redirector (ASX) file is an Extensible Markup Language (XML)-based text file which references a Uniform Resource Locator (URL) to a piece of media content. Simply put, an ASX file is a shortcut to media content that resides on your Web server.

There are a lot more commands that you may add in your metafile, such as the author's name, copyright information, ad insertion, links, title, playlists and etc. Go to Windows Media ASX Workshop for more details.

Adding HTML Tags:

  1. You may use the same text editor or a Web page editing software like Macromedia's DreamWeaver or Microsoft's Front Page.

  2. Add this URL and remember to replace the URL with your own information and that the metafile extension matches with this tag. The text below "<BODY>" can be changed to your liking:

<HTML>
<BODY>
Play this Windows Media file:
<A href="http://YourWebServer/Path/YourFile.ASX" >
YourFile</A>
</BODY>
</HTML>

  3. Copy the Windows Media files (any .ASX, .ASF, .WMA, and .WAX extensions) to your Web server.

In sum, when an end-user clicks on the reference in your Web page, the metafile will be automatically downloaded to the end-user's computer. The metafile will then open the Windows Media Player and direct it to play the streaming file (.WMV, .WMA, .ASF) that is located on the Web server.


Streaming from a Windows Media Services Server

Streaming from a Windows Media Services Server is the best choice as compared to streaming from a normal Web server. Please refer to the previous section for comparison charts and more information.

To allow streaming from an actual streaming server, follow the instructions below.

  1. Create a Windows Media metafile (refer to the previous section). Note that the path should be "mms://YourSreamingServer/Path/YourFile.xxx" instead of the "http" path for normal Web servers. Of course you may need to update this path to reflect where your content is stored.

  2. Add tags to your HTML file (refer to the previous section). Note that the path should be "mms://YourSreamingServer/Path/YourFile.xxx" instead of the "http" path for normal Web servers. Of course you may need to update this path to reflect where your content is stored.

  3. Put your streaming media files into the ASFROOT directory of the Windows Media Services Server. You may need a system administrator's help for this, in order to determine where this directory is, write permission and oversee other site administrator tasks.

Note: In the above address, /Path/ needs to be changed to the path from the ASFROOT. For example, if the files live on the server at "d:\program files\WindowsMedia\ASFROOT\userContent\Amanda\," the Path would actually be "userContent\Amanda."

Info: You will notice that instead of beginning our address with http://, we are starting with mms://. This is how the server knows that it is using the Windows Media Services Server.


Checking Your Streaming Content

  1. Open up Windows Media Player, go to File > Open.

  2. Type: mms://xxx.xxx.com/path/yourfile.xxx (Of course, replace this with your own personal data). Press OK.


Presenting Streaming Content to Your Audience

As mentioned in previous sections, the streaming content exported by TalkingShow™ conform to Microsoft's Windows Media Technology Standards and require Windows Media Player to play streaming content. You can either have your audience use their Windows Media Player as a stand-alone software application, or embed the Windows Media Player directly into the Web page itself so as to integrate the streaming presentation with the Web content.

To sum up, there are two approaches in how your streaming content is viewed on the Web:

  • embedding Windows Media Player on the Web page itself to play the streaming presentation, or

  • opening the Windows Media Player to play the streaming presentation independently

For the first approach, a HTML file may be automatically generated for you to save time and any hassles when you are building your streaming file. Please refer to the Building the Streaming File for more details.

Tip: Be sure to check out the samples provided with your shipment. There are two sample folders, one for one frame or and the other two frames. They are located in the default directory C:\Program Files\Cyberlink \TalkingShow\Tutorial unless saved elsewhere.


Embedding Windows Media Player in your Browser

When building your streaming file, you had the option to Generate HTML to host your streaming file. Be sure you checked this option so you would only have to create the ASX file and skip #2. Remember to replace the streaming file path with the ASX file's path in this generated HTML file.

  1. Create an ASX file (an ASX file should always be used to reference media content for the stand-alone player) or otherwise known as a metafile. Please refer to Creating Windows Media Metafiles for more details.

  2. Replace the Value (links to the metafile) and SRC paths as outlined below:

<HTML>
<META NAME="GENERATOR" CONTENT="TalkingShow™">
<TITLE>TalkingShow™ Windows Media Player Template</TITLE>
<BODY bgcolor=FFFFFF> <CENTER>
<H1>TalkingShow™ Windows Media Player</H1>

<!-- Use this segment of code in your page -->
<OBJECT ID="MPlay" CLASSID="CLSID:22d6f312-b0f6-11d0-94ab0080c74c7e95"
CODEBASE="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=6,4,5,715"

Standby="Loading Microsoft Windows Media Player components...
" type="application/x-oleobject">
<PARAM NAME="FileName" VALUE="mms://yourserver/yourpath/yourfile.xxx">
<PARAM NAME="AutoSize" VALUE="1">
<PARAM NAME="AutoStart" VALUE="true">
<PARAM NAME="ShowControls" VALUE="1">
<PARAM NAME="ShowAudioControls" VALUE="1">
<PARAM NAME="ShowPositionControls" VALUE="1">
<PARAM NAME="ShowCaptioning" value="1">
<PARAM NAME="ShowDisplay" VALUE="0">
<PARAM NAME="ShowGotoBar" VALUE="0">
<PARAM NAME="VideoBorder3D" VALUE="1">

<!--NETSCAPE PLUG-IN STARTS HERE-->
<Embed type="application/x-mplayer2"
src="mms://yourserver/yourpath/yourfile.xxx"
name=MPlay

pluginspage="http://www.microsoft.com/isapi/redir.dll?prd=windows&sbp&#9;=mediaplayer&ar=media&sba=plugin&"

AutoSize=true
AutoStart=true
ShowControls=0
ShowDisplay=0
ShowStatusBar=0>
</embed><BR>
</OBJECT>

Microsoft Internet Explorer browsers use a technology called Microsoft ActiveX to add controls in HTML pages. For more information on Microsoft ActiveX, the technology that makes it all possible, visit Microsoft ActiveX's Web site.

For Netscape users, the bottom half of the code is geared towards Netscape browsers. But first, you must go Windows Media to download the Windows Media Player Plug-in for Netscape Navigator located under the Windows Media Tools and Services section.


Embedding with Two Frames

As recommended, in order to maximize your show, you may create an additional frame so as to synchronize complementary or supplementary material like a slide show, diagrams or URLs.

For example, if you have two frames and five images, this will be your total number of files:

  • 3 HTML files (default file, the TalkingShow™ file, additional frame file)

  • 1 TS streaming format file (.TSF file)

  • 5 images along with its 5 corresponding HTML files

The next few steps will instruct you on creating the two extra HTML files. Additional material that you may want to utilize is up to you. So, let's begin:

  1. First, create a default HTML file, and to serve as an example, let's call it default.html. This file is different from your first HTML frame, which is your main TalkingShow™ file. For example, the HTML code written above would appear in it, which we'll call TS.html. This would be default.html's HTML code:

<HTML>
<HEAD>
<TITLE>Windows Media Script Demo</TITLE>
</HEAD>
<FRAMESET COLS="350,*">
<FRAME NAME="player" src="TS.html" scrolling="auto" noresize id=playerframe title="Training">
<FRAME NAME="slides" src="slides.html" scrolling="auto" noresize title="Slide Show">
</FRAMESET>
<NOFRAMES> This demo requires a browser that uses frames. </NOFRAMES>
<BODY bgcolor="#FFFFFF"></BODY>
</HTML>

Note: If you had inserted an URL script beforehand in the Adding Scripts and wished to utilize at least two frames, make sure that the frame name you entered in the &&framename syntax is correct and matches with the HTML code in the default.html file above.

  2. The other newly created file, let's call it slides.html, will act as the additional frame and support any URLs or files you wish to coordinate with your TalkingShow™. This would be its sample HTML code:

<HTML>
<HEAD>
<TITLE>Windows Media Training Demo</TITLE>
</head>
<BODY BGCOLOR="#FFFFFF" LEFTMARGIN=0 TOPMARGIN=0>

<!--This is a frame loaded with a blank Web page. This is the frame in which the URL flips will occur.-->

</BODY>
</HTML>

  3. The last step is to check that the HTML file with the embedded Windows Media streaming file has the correct path (e.g. TS.html). It should point to the metafile (e.g. .ASX file) instead of the streaming file.

  4. Now, you are ready to play your streaming file with two frames. Test it by opening the default.html file in your browser.


Opening the Stand-Alone Windows Media Player

  1. Create an ASX file (an ASX file should always be used to reference media content for the stand-alone player). Please refer to the previous section Creating Windows Media Metafiles & Adding HTML Tags for more details.

  2. Adding tags to your HTML page instructions is located in the same link as above. Note the difference between streaming on a Web server and Windows Media Services Server (don't forget to update it with your own information):

  • <A HREF="http://yourwebserver/path/yourfile.xxx"> Link to Streaming Content </A>

  • <A HREF="mms://yourstreamingserver/path/yourfile.xxx"> Link to Streaming Content </A>

Note: Replace "http" to "mms" if your streaming files are on a Windows Media Server.

The browser will open this file and then launch the Windows Media Player to play this streaming file.


TalkingShow StageManager

The TalkingShow™ StageManager puts the decision-making process into your own hands. In an organized and concise fashion, the StageManager searches for and collects all your TalkingShow™ files. It even allows you to mix 'n' match facial models with voice and animation files and gives you the chance to create characters you never thought possible before!

The StageManager is divided into three databases:

  • Facial Model (HDP) Database

  • Voice and Animation (HAP) Database

  • Project (TSP) Database

When you first begin using the StageManager, it will automatically build a database of all of your TalkingShow™ files. Simply select where to browse when the dialog box appears and you are ready to get started after it is finished building your database!


Viewing Content in the HDP Database

After you have started the StageManager for the first time and the database has been automatically built, you may begin managing HDP content. (Some of the functions below can be found in the form of icons in the main toolbar.)

  1. Click on View > Window or Category.

  2. For Window, this gives you the choice to change the appearance of your StageManager. Click on a selection to hide and once more to view.

  3. For Category, this will only be appropriate if you have filled out file properties for your files (please refer to Setting Properties).

  4. Under View is a slew of options to choose from similar to the Windows Explorer's viewing options except for the Thumbnails, which provide a visual view: Small Icons, Large Icons, List and Details. Choose one.

  5. Choose an option in the Arrange By area. Again, this is applicable only if you have filled out the properties for your files.

  6. If you have changed your screen resolution, click Refresh.

Tip: For quicker access, the above viewing options can be accessed quicker via the icons located in the top toolbar.


Managing Content in the HDP Database

After you have organized your database visually, you could begin adding, renaming, copying or deleting files from it.

  1. Click on the icon or go to Database > Add to add files individually. A dialog box will appear. Search for a HDP file, select it and then click Open.

  2. If you would like to Delete, Save As, or Rename, select a file first and then go to Database > or click on the icons in the main toolbar.

  3. If you choose Save As, a dialog box will appear for you to name the new file. Type in the name and then click Save.

  4. If you Delete, a dialog will appear. If you would like to Only delete it from the database, pick the first selection. If not, choose the second option to Delete from the database and my hard drive. Click OK.

  5. If you choose Rename, the file name will be highlighted in blue. Type in the new name and press ENTER or click on another area with your mouse.

  6. For the Query, Rebuild Database and Update Database commands, please refer to their respective sections.

Tip: Select any file and right click for a easy to use and fast menu. The commands here are the same as above with the exception of Edit which opens the TalkingShow™ Studio for editing the selected file.


Mixing 'n' Matching HDP

Mixing 'n' Matching

This is the best part of the TalkingShow™ StageManager because you can begin experimenting with all your TalkingShow™ files over extended lengths of times to find the funniest blend of characters or people. Switch around your facial model (HDP files) and match them up with other voices and animation (HAP) or even HDP and HAP sources from within your other projects (TSP). Thus, the StageManager saves you time from exporting HDP or HAP files individually by providing the service right at your fingertips in a well organized and uncomplicated manner. You'll save plenty of time previewing new or potentially new projects with StageManager instead of importing and exporting HDP or HAP files you might not use in the future.

After selecting a HDP, the facial model will be displayed in the Preview pane. Notice the two smaller panes to the right of the larger pane. The upper right pane is for the facial model or HDP while the lower right pane is for the voice and animation, or HAP.

The tacks signify if a HDP or HAP is available to be switched and open for experimentation. When it's pinned, it's unavailable and thus looking for the right match. So, let those crazy experiments commence:

  1. First, you must select a facial model (HDP) from the Database window. Click on one, and it will appear in the HDP pane.

  2. If you are satisfied with one, click on the tack to pin down or confirm your selection and it will be unavailable for modification as you select different HAP to match it up with. You may also go to Preview > Pin HDP.

  3. To select a HAP or other HDP from within a project, please refer to the next two sections before building your new project.


Previewing

Like the TalkingShow™ Studio, you may preview your new creation by pressing the action commands located below the Preview window to check alignment or go to the menu item Preview.

  • For editing, go to File > Edit > Files in Preview Window or Selected File in Database Window to call up the TalkingShow™ Studio.

  • For creating an entirely new project, go to File > New > Head Definition Pack..., Head Animation Pack..., or TalkingShow™ Project...


Viewing Content in the HAP Database

After you have started the StageManager for the first time and the database has been built, you may begin managing HAP content.

  1. Click on View > Window or Category.

  2. For Window, this gives you the choice to change the appearance of your StageManager. Click on a selection to hide and once more to view.

  3. For Category, this will only be appropriate if you have filled out file properties for your files (please refer to Setting Properties).

  4. Under View is a slew of options to choose from similar to the Windows Explorer's viewing options except for the Thumbnails, which provide a visual view: Small Icons, Large Icons, List and Details. Choose one.

  5. Choose an option in the Arrange By area. Again, this is applicable only if you have filled out the properties for your files.

  6. If you have changed your screen resolution, click Refresh.

Tip: For quicker access, the above viewing options can be accessed quicker via the icons located in the top toolbar.


Managing Content in the HAP Database

After you have organized your database visually, you could begin adding, renaming, copying or deleting files from it.

  1. Click on the icon or go to Database > Add to add files individually. A dialog box will appear. Search for a HAP file, select it and then click Open.

  2. If you would like to Delete, Save As, or Rename, select a file first and then go to Database > or click on the icons in the main toolbar.

  3. If you choose Save As, a dialog box will appear for you to name the new file. Type in the name and then click Save.

  4. If you Delete, a dialog will appear. If you would like to Only delete it from the database, pick the first selection. If not, choose the second option to Delete from the database and my hard drive. Click OK.

  5. If you choose Rename, the file name will be highlighted in blue. Type in the new name and press ENTER or click on another area with your mouse.

  6. For the Query, Rebuild Database and Update Database commands, please refer to their respective sections.

Tip: Select any file and right click for a easy to use and fast menu. The commands here are the same as above with the exception of Edit which opens the TalkingShow™ Studio for editing the selected file.


Mixing 'n' Matching HAP

Mixing 'n' Matching

This is the best part of the TalkingShow™ StageManager because you can begin experimenting with all your TalkingShow™ files over extended lengths of times to find the funniest blend of characters or people. Switch around your voice and animation (HAP files) and match them up with other facial models (HDP) or even HDP and HAP sources from within your other projects (TSP). Thus, the StageManager saves you time from exporting HDP or HAP files individually by providing the service right at your fingertips in a well organized and uncomplicated manner. You'll save plenty of time previewing new or potentially new projects with StageManager instead of importing and exporting HDP or HAP files you might not use in the future.

After selecting a HAP, the voice will be displayed in the Preview pane. Notice the two smaller panes to the right of the larger pane. The upper right pane is for the facial model or HDP while the lower right pane is for the voice and animation, or HAP.

The tacks signify if a HDP or HAP is available to be switched and open for experimentation. When it's pinned, it's unavailable and thus looking for the right match. So, let those crazy experiments commence:

  1. First, you must select a HAP from the Database window. Click on one, and it will appear in the HAP pane.

  2. If you are satisfied with one, click on the tack to pin down or confirm your selection and it will be unavailable for modification as you select different HDP to match it up with. You may also go to Preview > Pin HAP.

  3. To select a HAP or other HDP from within a project, please refer to the next section before building your new project.

  4. If you are satisfied with both your HDP and HAP, click Build Project to create a new project with your newly created character! This will open the TalkingShow™ Studio.

  5. Now, go to File > Save Project As. Find the directory, name the file and then click Save.


Viewing Content in the TSP Database

After you have started the StageManager for the first time and the database has been built, you may begin managing TSP content.

  1. Click on View > Window or Category.

  2. For Window, this gives you the choice to change the appearance of your StageManager. Click on a selection to hide and once more to view.

  3. For Category, this will only be appropriate if you have filled out file properties for your files (please refer to Setting Properties).

  4. Under View is a slew of options to choose from similar to the Windows Explorer's viewing options except for the Thumbnails, which provide a visual view: Small Icons, Large Icons, List and Details. Choose one.

  5. Choose an option in the Arrange By area. Again, this is applicable only if you have filled out the properties for your files.

  6. If you have changed your screen resolution, click Refresh.

Tip: For quicker access, the above viewing options can be accessed quicker via the icons located in the top toolbar.


Managing Content in the TSP Database

After you have organized your database visually, you could begin adding, renaming, copying or deleting files from it.

  1. Click on the icon or go to Database > Add to add files individually. A dialog box will appear. Search for a TSP file, select it and then click Open.

  2. If you would like to Delete, Save As, or Rename, select a file first and then go to Database > or click on the icons in the main toolbar.

  3. If you choose Save As, a dialog box will appear for you to name the new file. Type in the name and then click Save.

  4. If you Delete, a dialog will appear. If you would like to Only delete it from the database, pick the first selection. If not, choose the second option to Delete from the database and my hard drive. Click OK.

  5. If you choose Rename, the file name will be highlighted in blue. Type in the new name and press ENTER or click on another area with your mouse.

  6. For the Query, Rebuild Database and Update Database commands, please refer to their respective sections.

Tip: Select any file and right click for a easy to use and fast menu. The commands here are the same as above with the exception of Edit which opens the TalkingShow™ Studio for editing the selected file.


Mixing 'n' Matching TSP

Mixing 'n' Matching

This is the best part of the TalkingShow™ StageManager because you can begin experimenting with all your TalkingShow™ files over extended lengths of times to find the funniest blend of characters or people. Switch around your voice and animation (HAP files) and match them up with other facial models (HDP) or even HDP and HAP sources from within your other projects (TSP). Thus, the StageManager saves you time from exporting HDP or HAP files individually by providing the service right at your fingertips in a well organized and uncomplicated manner. You'll save plenty of time previewing new or potentially new projects with StageManager instead of importing and exporting HDP or HAP files you might not use in the future.

After selecting a HAP or HDP, both will be displayed in the Preview pane. Notice the two smaller panes to the right of the larger pane. The upper right pane is for the facial model or HDP while the lower right pane is for the voice and animation, or HAP.

The tacks signify if a HDP or HAP is available to be switched and open for experimentation. When it's pinned, it's unavailable and thus looking for the right match. So, let those crazy experiments commence:

  1. First, select a TSP from the Database window. Click on one, and both its HDP and HAP will appear in the right-hand panes.

  2. If you are satisfied with either one, click on the tack to pin down or confirm your selection and it will be unavailable for modification as you select different HDP or HAP to match it up with. You may also go to Preview > Pin HDP or HAP.

  3. Select another HAP from the Database window or another TSP while the HDP is pinned down. The original HAP will be replaced.

  4. Now that you have switched the original HAP, preview it.

  5. If you are satisfied with your HDP and HAP match or perfect combination, click Build Project to create a new project with your newly created character! This will open the TalkingShow™ Studio.

  6. Now, go to File > Save Project As. Find the directory, name the file and then click Save.


Rebuilding the Database

Whenever you create additional files, you may wish to adopt these new files into your database. However, if you created a file directly from the Edit command (i.e. starting TalkingShow™ Studio through StageManager) in StageManager, when you save, a dialog box will ask you if you want to add it to your database. Otherwise, you sometimes might have to rebuild your database.

  1. Go to Database > Rebuild Database.

  2. From the drop-down menu, first select your drive. Check Include subfolders for a more defined search or search by pressing Browse in order to look in specific directories and folders. Click OK.


Updating the Database

This allows you to save time and resources instead of rebuilding the entire database.

  1. Go to Database > Update Database to update your database records.


Querying

If you have detailed all your files by filling out the file properties for each file (refer to Setting Properties), querying or searching for files will be extremely straightforward.


File Querying

  1. Go to Database > Query or click the Query icon in the toolbar.

  2. First pick a HDP, HAP, or TSP query. The next three fields are optional but filling one is recommended. If you know a portion of the file name, enter it in the File name field.

  3. You may also limit the size of the file or specify the dates when the file was created by filling out their respective fields.

  4. Click on Query with last result to include the files found in the last query.

  5. Click on Search HDP and HAP sources in TSP files if you want to search for the HDP or HAP portions of TSP files that have not yet been created as individual files. After you have found the files, you may choose to export the HDP or HAP (refer to Importing and Exporting section) files.


Advanced Querying

Advanced querying is most suited after your files' properties have been input and marked clearly. When querying in a large database, this is the best way to find files both quickly and efficiently. Fill out the fields and remember to employ the Relation:

  • Fill out an And field(s) if you would like at least one condition to be met.

  • Fill out at least two Or fields to query for files that at least meets one of the conditions within the given range.

  • Fill out the Not fields to ignore files with specific conditions.

The fields' inputs are extremely flexible, for you may enter anything you please. We only recommend that the default Category selections be used.


Project Options

  • If you would like to reduce your Preview Window Size, select a smaller percentage.

  • Click on Show full path of project in Properties and Sources window to display the entire path of your project in the Properties and Sources window.


Database View Options

  • Modify the Thumbnail Size of your files to a smaller or larger size while viewing with the Database window.

  • Click on any of the selections in the Miscellaneous section to remember the view, rearrange icons if the window size changes, or to disengage the automatic database build every time you start StageManager.


Record Options

  • For the Deleting Options, you have the choice in deleting only the database record or also delete the file itself. Choose Always confirm before deleting if you would like a deletion confirmation.

  • The Double-Clicking Options allow you to select the action that occurs whenever you double-click on a file.

  • Tool tips are text that appear whenever your cursor is placed on a command or function. Here, you may select what type of tool tip to display if you have identified your properties.


Properties

Located below the Preview window is the Properties' window. Click once on the first line to hide or view the Properties. Also, click the HDP or HAP Source Status to hide or view.

To change the properties of a selected file:

  1. Go to File > Properties.

  2. Filling out properties here is slightly different than the TalkingShow™ Studio. First, click Edit located at the bottom of the dialog box.

  3. Now, click on a field to begin entering data. Like the TalkingShow™ Studio properties, we only recommend that you use one of the Category defaults from the drop-down menu.

  4. Click OK when you are finished.


Tutorial

The TalkingShow™ tutorial can be found on your disc in the Tutorial folder or in your hard drive. It will be located with the TalkingShow™ software application (default directory is C:\Program Files\Cyberlink\TalkingShow\Tutorial unless saved elsewhere). The tutorial will instruct and guide you in creating a TalkingShow™ project available for streaming format on any Web page you please.

In the two lessons folder, there will be tutorial files in HDP or HAP format that will correspond to each lesson and serve as references for the user. The final TalkingShow™ tutorial file is in TSP and TSF format. Let's get started!


Lesson 1 - Loading Images

This tutorial takes into account that your facial image and mask have been created and are ready to be loaded into the TalkingShow™ Studio. For information on creating a facial image and mask, go to Creating a Facial Image.

  1. Open up the TalkingShow™ Studio and go to HDP > Load Facial Image.

  2. Go to the Tutorial folder, select Image01.jpg and click Open.

  3. Go to HDP > Load Facial Mask. Go to the Tutorial folder, select Mask01.jpg, and click Open.

  4. Now both your images have been loaded and you are ready to align. The reference file is tutorial01.hdp.


Lesson 2 - Aligning the Image

After loading, it is time to align it with the morphing lines so that when the character is speaking, perfect synchronization is achieved.

  1. Click Align or go to HDP > Align (the default will be the XY axes) to begin lining up your image with the morphing lines by moving the border (it will be highlighted when selected) so that it lines up with the image's facial outline.

  2. After the morphing lines' outline is lined up, pan the image so it is centered. Now, begin aligning the facial features (e.g. eyes, mouth, nose) and then the individual feature points one at a time by clicking and dragging.

  3. Preview often so that your character's features are aligned properly. The reference file is tutorial02.hdp.


Lesson 3 - the Voice Clip

Now we will load the voice clip you have already prepared. For more information on recording a voice clip, go to Creating a Voice.

  1. Switch to the Head Animation Pack mode by clicking on the tab or going through View > Switch to HAP Mode.

  2. Go to HAP > Load Voice Clip. Select Voice01.wav and click Open.

  3. Go to HAP > Recognize Voice Clip or click on the icon in the right toolbar. The reference file is tutorial03.hap.


Lesson 4 - Adding Expressions

This is where the fun begins. We will synchronize the speech with humorous expressions to give your show that extra edge!

  1. In order to accentuate the word "TalkingShow™", we will find a suitable expression for it. Use the Zoom tools to hone in on the visemes. Highlight from the first tSdZS viseme to the second A: in the file.

  2. Right click in the Exp row and choose Insert Expression. Choose Joy and click OK. You may also click on the Expressions tab and drag the Joy icon here.

  3. In order to accentuate the word "best", highlight the second pbm to the third tSDSZ in the file. Insert the expression Anger. When inserting, lower the intensity to 50%.

  4. In order to accentuate the word "software", highlight A: to U directly behind the word "best" and insert the Surprise expression.

  5. Finally, to accentuate "CyberLink", highlight fv to the last viseme in the file, nl and insert the Joy expression again. The reference file is tutorial04.hap.


Lesson 5 - Generating Head Motion

We will first generate the automatic head motion so as to provide this show with a basic premise. Afterwards, we will insert our own head motion so as to emphasize a certain term.

  1. Click on the Generate Head Motion icon located at the right toolbar or go to HAP > Generate Head Motion.

  2. The head motion will be generated. Now, since we want to accentuate the same words as the expressions, we can use the inserted expressions as a guideline in choosing the areas where we would like to insert our head motion.

  3. Click on the first Joy expression. Now, right click in the Head row and choose Insert Motion Until End of Mark.

  4. You will be creating a slight nod so as to accentuate the word "TalkingShow™". Drag the Pitch & Yaw point vertically half way. Click OK. The reference file is tutorial05.hap.


Lesson 6 - Adding Action

We're going to add some "action" to this show in the form of scripts, markers, and background images.


Lesson 6a - Adding a Marker

  1. Click on the first Joy expression.

  2. Go the Action row and right click and choose Insert > Marker.

  3. Type in TalkingShow. Click OK.

  4. A blue flag will represent the location of the marker in the Action row and its label.


Lesson 6b - Adding a Background Image

  1. Go to Accessories > Background Image > Add.

  2. Go to the Tutorial folder and select sky.jpg. Click Open.

  3. Click on the Anger expression.

  4. Right click in the Action row and choose Insert > Image.

  5. Select sky.jpg and click OK.

  6. A yellow flag will represent the location of the background image in the Action row and its file name.


Lesson 6c - Adding a Script

  1. Click on the last Joy expression in the file.

  2. Right click in the Action row and choose Insert > Script.

  3. Choose URL and in the argument string field type in http://www.gocyberlink.com&&website.

  4. A pink flag will represent the location of the script in the Action row and its file type. The reference file is tutorial06.hap.


Lesson 7 - Adding a Background Audio

Now we will be adding background audio to further enhance your show.

  1. First, add the Wave file by going to Accessories > Background Audio > Add.

  2. Go to the Tutorial folder and select applause.wav. Click Open.

  3. Now you are ready to insert the file at a specific point in your file. Choose the last Joy expression.

  4. Right click in the Audio row and select Applause. Click OK. The reference file is tutorial07.hap.


Lesson 8 - Saving

In this lesson, we will save and then build the streaming file to prepare it for a worldwide Web audience.

  1. Go to File > Save Project As. Name your file work.tsp and then click Save.

  2. For saving as a streaming file, go to File > Build Streaming File.

  3. Choose Model-based Video. Click OK.

  4. Name your file work.tsf and then click Save. The reference file is tutorial08.tsp.


Lesson 9 - Streaming for the Internet

Now you are ready to take your show into another stratosphere by preparing it for the Internet! In this lesson, we will learn how to embed your streaming TalkingShow™ file in a web browser with two frames.

  1. Use any Web page editing software such as Macromedia's DreamWeaver or Microsoft's Front Page and create a HTML file with two frames (three HTML files total).

  2. Follow the instructions in the Embedding Windows Media Player in your Browser section on how to write the HTML code for all three of your HTML files. Name the files main.html (main frame), work.asx (metafile), website.html (right frame) and work.html (streaming file frame or left frame).

  3. Follow the instructions in Streaming from a Web Server or Streaming from a Windows Media Services Server for streaming preparation.

  4. If you would like to test it out, click on main.html. The reference files are default.html, tutorial08.asx, right.html, and tutorial08.tsf.


Technical Support

Before asking CyberLink Corp. for technical support, please refer to this user's guide or online help for more information. You may also contact your local distributor/dealer. If your problem is still not resolved, the following sections provide ways to obtain technical support.


Web Support

Solutions to your problem are available 24 hours a day at our Web sites in Taiwan, USA, or Japan:

www.talkingshow.com (scheduled to open January 2001)

www.gocyberlink.com

www.cli.co.jp

You may also find solutions in the FAQ section or at our Web sites. In addition to frequently asked questions, we also provide troubleshooting techniques, the latest in product news, and other relevant information.


Email/Fax Support

In order to answer your technical questions as quickly as possible, please send email to: TalkingShow@goCyberlink.com. Or fax us at: (886) 2-8667-1467.

Note: Technical support is only offered to registered users, so please make sure to jot down your CD Key located on your CD case when emailing or faxing.


Telephone Support

Users are welcome to call the CyberLink's Technical Support Hotline at (886) 2-8667-1298. Phone support hours are Monday to Friday, 9:00 AM-5:00 PM (GMT +8:00) Taiwan local time excluding holidays. When calling for support, please have your computer ready and provide us with the following information:

  • your registered CD Key

  • the product version

  • Windows' OS version

  • hardware and software configuration of your Web server (if applicable)

  • hardware types (capture card, sound card, VGA card) and their specifications

  • warning messages displayed

  • detailed problem description and when it occurred

Note: Technical support is only offered to registered users, so please make sure your CD Key is ready when calling.